Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.receivers
Class AbstractInOutSyncMessageReceiver

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver

All Implemented Interfaces:
  MessageReceiver

Direct Known Subclasses:
  RawXMLINOutMessageReceiver

Deprecated. use AbstractInOutMessageReceiver

    public abstract class AbstractInOutSyncMessageReceiver

extends AbstractMessageReceiver

This is the Absract IN-OUT MEP MessageReceiver. The protected abstract methods are only for the sake of breaking down the logic

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`AbstractMessageReceiver.AsyncMessageReceiverWorker, AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, log, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`AbstractInOutSyncMessageReceiver()` Deprecated.

Method Summary
`void` | `invokeBusinessLogic(MessageContext msgContext)` Deprecated. Do the actual work of the MessageReceiver.
`abstract void` | `invokeBusinessLogic(MessageContext inMessage, MessageContext outMessage)` Deprecated.

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, receive, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInOutSyncMessageReceiver

    public AbstractInOutSyncMessageReceiver()

  Deprecated.

Method Detail

### invokeBusinessLogic

    public abstract void invokeBusinessLogic(MessageContext inMessage,
                                             MessageContext outMessage)
                                      throws AxisFault

  Deprecated.
  Throws:
    `AxisFault`

### invokeBusinessLogic

    public final void invokeBusinessLogic(MessageContext msgContext)
                                   throws AxisFault

  Deprecated.
  Description copied from class: `AbstractMessageReceiver`
  Do the actual work of the MessageReceiver. Must be overridden by concrete subclasses.

  Specified by:
    `invokeBusinessLogic` in class `AbstractMessageReceiver`
  Parameters:
    `msgContext` - active MessageContext
  Throws:
    `AxisFault` - if a problem occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.